ComplexPlot  :=  proc()
   local k,A,Pt,c,cg,shade,r,u,Lines; 
   u:= 0;
   cg := COLOR(RGB, .7,.8,.7);
   for k from 1 to nargs do
       shade := evalf(rand()/10^12,2)/4 + .3;
       c := COLOR(RGB, shade,shade+.2, shade);  
       A||k := complexplot( [0,args[k]], linestyle = 2, scaling = constrained,
                            color = c);
       Lines||k := plot( [[ 0, Im(args[k])], [Re(args[k]), Im(args[k])],
                          [Re(args[k]), 0]], color = cg); 

       u := max( u, abs(Re(args[k])),abs(Im(args[k])) ); 
   od;

   r := evalf(u/40,2);
   for k from 1 to nargs do 
       shade := evalf(rand()/10^12,2)/4 + .1;
       c := COLOR(RGB, shade,.8, shade); 
       Pt||k := plottools[disk]( [Re(args[k]), Im(args[k])],r, 
                           color = c ); od;

  display( [seq( A||k, k = 1..nargs),  seq( Pt||k, k = 1..nargs),
            seq( Lines||k, k = 1..nargs)] ); 
end proc:
reset := proc()
global a,b,z,R,theta;
a := 'a': b := 'b':  z := 'z': theta := 'theta': R := 'R':
return (a,b,z,R,theta):
end proc:
ComplexPlotY  :=  proc()
   local k,Radial,Pt,c,c1,c2,shade,r,u,Lines; 
   u:= 0;
   c1 := COLOR(RGB, .67, .54, .27  );
   c2 := COLOR(RGB, .72,.6,.3 );
   for k from 1 to nargs do
       shade := evalf(rand()/10^12,2)/4 + .3;
       c := COLOR(RGB, shade+.3,shade+.2, shade);  
       Radial||k := complexplot( [0,args[k]], 
              scaling = constrained, color = c1, thickness = 1);
       Lines||k := plot( [[ 0, Im(args[k])], [Re(args[k]), Im(args[k])],
                          [Re(args[k]), 0]], 
                          color = c2, linestyle = 2); 

       u := max( u, abs(Re(args[k])),abs(Im(args[k])) ); 
   od;

   r := evalf(u/12,2);
   c := COLOR(RGB, .8, .66, .25 ); 
   for k from 1 to nargs do 
       Pt||k := plottools[disk]( [Re(args[k]), Im(args[k])],r, 
                           color = c ); od;
  display( [seq( Radial||k, k = 1..nargs),  seq( Pt||k, k = 1..nargs),
            seq( Lines||k, k = 1..nargs)] ); 
end proc:

ComplexPlotB  :=  proc()
   local k,A,Pt,c,cg,shade,r,u,Lines; 
   u:= 0;
   cg := COLOR(RGB, .7,.7,.8);
   for k from 1 to nargs do
       shade := evalf(rand()/10^12,2)/4 + .3;
       c := COLOR(RGB, shade,shade, shade+2);  
       A||k := complexplot( [0,args[k]], linestyle = 2, 
               scaling = constrained, color = c);
       Lines||k := plot( [[ 0, Im(args[k])], [Re(args[k]), Im(args[k])],
                          [Re(args[k]), 0]], color = cg); 

       u := max( u, abs(Re(args[k])),abs(Im(args[k])) ); 
   od;

   r := evalf(u/45,2);
   for k from 1 to nargs do 
       shade := evalf(rand()/10^12,2)/5 + .1;
       c := COLOR(RGB, shade, shade, .7); 
       Pt||k := plottools[rectangle]( 
         [Re(args[k])-r, Im(args[k])+r],[Re(args[k])+r, Im(args[k])-r], 
                           color = c ); od;


  display( [seq( A||k, k = 1..nargs),  seq( Pt||k, k = 1..nargs),
            seq( Lines||k, k = 1..nargs)] ); 
end proc:


UnityRootPlot  :=  proc(n)
    local c;
     c := COLOR(RGB, .85, .65, .3  );
     display( [ComplexPlotB( 1),
          ComplexPlotY( seq( cos(2*k*Pi/n) + I*sin(2*k*Pi/n), k = 1..n) ),
          seq( plottools[arc]( [0,0], .95-k*.045, 0..(2*k*Pi/n), 
                color = c,thickness = 3 ), k = 1..(n-1)), 
          plottools[circle]([0,0],1, color = gold)]);
end proc:



UnityRoots  :=  proc(n)
    local k,S;
     S := solve(z^n - 1= 0):
     for k from 1 to n do print(S[k]); od;
end proc:

